Package org.jboss.resteasy.rxjava2

## Class ObservableRxInvokerImpl

- java.lang.Object
- - org.jboss.resteasy.rxjava2.ObservableRxInvokerImpl

- All Implemented Interfaces:
    `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`, `ObservableRxInvoker`

      public class ObservableRxInvokerImpl
      extends Object
      implements ObservableRxInvoker

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ObservableRxInvokerImpl​(javax.ws.rs.client.SyncInvoker syncInvoker, ExecutorService executorService)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `io.reactivex.Observable<?>` | `delete()` |
    `<R> io.reactivex.Observable<?>` | `delete​(Class<R> responseType)` |
    `<R> io.reactivex.Observable<?>` | `delete​(javax.ws.rs.core.GenericType<R> responseType)` |
    `io.reactivex.Observable<?>` | `get()` |
    `<R> io.reactivex.Observable<?>` | `get​(Class<R> responseType)` |
    `<R> io.reactivex.Observable<?>` | `get​(javax.ws.rs.core.GenericType<R> responseType)` |
    `io.reactivex.Observable<?>` | `head()` |
    `io.reactivex.Observable<?>` | `method​(String name)` |
    `<R> io.reactivex.Observable<?>` | `method​(String name, Class<R> responseType)` |
    `io.reactivex.Observable<?>` | `method​(String name, javax.ws.rs.client.Entity<?> entity)` |
    `<R> io.reactivex.Observable<?>` | `method​(String name, javax.ws.rs.client.Entity<?> entity, Class<R> responseType)` |
    `<R> io.reactivex.Observable<?>` | `method​(String name, javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<R> responseType)` |
    `<R> io.reactivex.Observable<?>` | `method​(String name, javax.ws.rs.core.GenericType<R> responseType)` |
    `io.reactivex.Observable<?>` | `options()` |
    `<R> io.reactivex.Observable<?>` | `options​(Class<R> responseType)` |
    `<R> io.reactivex.Observable<?>` | `options​(javax.ws.rs.core.GenericType<R> responseType)` |
    `io.reactivex.Observable<?>` | `post​(javax.ws.rs.client.Entity<?> entity)` |
    `<R> io.reactivex.Observable<?>` | `post​(javax.ws.rs.client.Entity<?> entity, Class<R> responseType)` |
    `<R> io.reactivex.Observable<?>` | `post​(javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<R> responseType)` |
    `io.reactivex.Observable<?>` | `put​(javax.ws.rs.client.Entity<?> entity)` |
    `<R> io.reactivex.Observable<?>` | `put​(javax.ws.rs.client.Entity<?> entity, Class<R> responseType)` |
    `<R> io.reactivex.Observable<?>` | `put​(javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<R> responseType)` |
    `io.reactivex.Observable<?>` | `trace()` |
    `<R> io.reactivex.Observable<?>` | `trace​(Class<R> responseType)` |
    `<R> io.reactivex.Observable<?>` | `trace​(javax.ws.rs.core.GenericType<R> responseType)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObservableRxInvokerImpl

          public ObservableRxInvokerImpl​(javax.ws.rs.client.SyncInvoker syncInvoker,
                                         ExecutorService executorService)

  - ### Method Detail

    - #### get

          public io.reactivex.Observable<?> get()

      Specified by:
        `get` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### get

          public <R> io.reactivex.Observable<?> get​(Class<R> responseType)

      Specified by:
        `get` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### get

          public <R> io.reactivex.Observable<?> get​(javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `get` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### put

          public io.reactivex.Observable<?> put​(javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `put` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### put

          public <R> io.reactivex.Observable<?> put​(javax.ws.rs.client.Entity<?> entity,
                                                    Class<R> responseType)

      Specified by:
        `put` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### put

          public <R> io.reactivex.Observable<?> put​(javax.ws.rs.client.Entity<?> entity,
                                                    javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `put` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### post

          public io.reactivex.Observable<?> post​(javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `post` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### post

          public <R> io.reactivex.Observable<?> post​(javax.ws.rs.client.Entity<?> entity,
                                                     Class<R> responseType)

      Specified by:
        `post` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### post

          public <R> io.reactivex.Observable<?> post​(javax.ws.rs.client.Entity<?> entity,
                                                     javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `post` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### delete

          public io.reactivex.Observable<?> delete()

      Specified by:
        `delete` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### delete

          public <R> io.reactivex.Observable<?> delete​(Class<R> responseType)

      Specified by:
        `delete` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### delete

          public <R> io.reactivex.Observable<?> delete​(javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `delete` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### head

          public io.reactivex.Observable<?> head()

      Specified by:
        `head` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### options

          public io.reactivex.Observable<?> options()

      Specified by:
        `options` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### options

          public <R> io.reactivex.Observable<?> options​(Class<R> responseType)

      Specified by:
        `options` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### options

          public <R> io.reactivex.Observable<?> options​(javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `options` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### trace

          public io.reactivex.Observable<?> trace()

      Specified by:
        `trace` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### trace

          public <R> io.reactivex.Observable<?> trace​(Class<R> responseType)

      Specified by:
        `trace` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### trace

          public <R> io.reactivex.Observable<?> trace​(javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `trace` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### method

          public io.reactivex.Observable<?> method​(String name)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### method

          public <R> io.reactivex.Observable<?> method​(String name,
                                                       Class<R> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### method

          public <R> io.reactivex.Observable<?> method​(String name,
                                                       javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### method

          public io.reactivex.Observable<?> method​(String name,
                                                   javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### method

          public <R> io.reactivex.Observable<?> method​(String name,
                                                       javax.ws.rs.client.Entity<?> entity,
                                                       Class<R> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`

    - #### method

          public <R> io.reactivex.Observable<?> method​(String name,
                                                       javax.ws.rs.client.Entity<?> entity,
                                                       javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Observable<?>>`